Package org.jfree.layouting.renderer.model

## Interface BoxDefinitionFactory

- All Known Implementing Classes:
    `DefaultBoxDefinitionFactory`

      public interface BoxDefinitionFactory

  Creation-Date: 25.06.2006, 15:43:34
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BoxDefinition` | `createBlockBoxDefinition​(LayoutContext boxContext, OutputProcessorMetaData metaData)` | Creates a Box-Definition.
    `BoxDefinition` | `createInlineBoxDefinition​(LayoutContext boxContext, OutputProcessorMetaData metaData)` |

- - ### Method Detail

    - #### createBlockBoxDefinition

          BoxDefinition createBlockBoxDefinition​(LayoutContext boxContext,
                                                 OutputProcessorMetaData metaData)

      Creates a Box-Definition.
      Parameters:
        `boxContext` -
      Returns:

    - #### createInlineBoxDefinition

          BoxDefinition createInlineBoxDefinition​(LayoutContext boxContext,
                                                  OutputProcessorMetaData metaData)